Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.conversion.metadata
Class ConversionDescription

    java.lang.Object
      com.opensymphony.xwork2.conversion.metadata.ConversionDescription

    public class ConversionDescription

extends java.lang.Object

`ConversionDescription`

Version:
  $Id: ConversionDescription.java 894090 2009-12-27 18:18:29Z martinc $
Author:
  Rainer Hermanns

Field Summary
`static java.lang.String` | `DEPRECATED_ELEMENT_PREFIX`
`static java.lang.String` | `ELEMENT_PREFIX`
`java.lang.String` | `fullQualifiedClassName`
`static java.lang.String` | `KEY_PREFIX`
`static java.lang.String` | `KEY_PROPERTY_PREFIX`
`protected static Logger` | `log` Jakarta commons-logging reference.
`java.lang.String` | `property`
`java.lang.String` | `rule`
`java.lang.String` | `type`
`java.lang.String` | `typeConverter`
`java.lang.String` | `value`

Constructor Summary
`ConversionDescription()`
`ConversionDescription(java.lang.String property)` Creates an ConversionDescription with the specified property name.

Method Summary
`java.lang.String` | `asProperty()` Returns the conversion description as property entry.
`java.lang.String` | `getFullQualifiedClassName()` Returns the fullQualifiedClassName attribute is used to create the special `conversion.properties` file name.
`java.lang.String` | `getType()`
`java.lang.String` | `getValue()`
`void` | `setFullQualifiedClassName(java.lang.String fullQualifiedClassName)` The fullQualifiedClassName attribute is used to create the special `conversion.properties` file name.
`void` | `setProperty(java.lang.String property)` Sets the property name to be inserted into the related conversion.properties file. Note: Do not add COLLECTION_PREFIX or MAP_PREFIX keys to property names.
`void` | `setRule(java.lang.String rule)` Sets the rule prefix for COLLECTION_PREFIX or MAP_PREFIX key.
`void` | `setType(java.lang.String type)`
`void` | `setTypeConverter(java.lang.String typeConverter)` Sets the class name of the type converter to be used.
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Logger log

  Jakarta commons-logging reference.

### KEY_PREFIX

    public static final java.lang.String KEY_PREFIX

See Also:
  Constant Field Values

### ELEMENT_PREFIX

    public static final java.lang.String ELEMENT_PREFIX

See Also:
  Constant Field Values

### KEY_PROPERTY_PREFIX

    public static final java.lang.String KEY_PROPERTY_PREFIX

See Also:
  Constant Field Values

### DEPRECATED_ELEMENT_PREFIX

    public static final java.lang.String DEPRECATED_ELEMENT_PREFIX

See Also:
  Constant Field Values

### property

    public java.lang.String property

### typeConverter

    public java.lang.String typeConverter

### rule

    public java.lang.String rule

### value

    public java.lang.String value

### fullQualifiedClassName

    public java.lang.String fullQualifiedClassName

### type

    public java.lang.String type

Constructor Detail

### ConversionDescription

    public ConversionDescription()

### ConversionDescription

    public ConversionDescription(java.lang.String property)

  Creates an ConversionDescription with the specified property name.

  Parameters:
    `property` -

Method Detail

### setProperty

    public void setProperty(java.lang.String property)

  Sets the property name to be inserted into the related conversion.properties file.
  Note: Do not add COLLECTION_PREFIX or MAP_PREFIX keys to property names.

  Parameters:
    `property` - The property to be converted.

### setTypeConverter

    public void setTypeConverter(java.lang.String typeConverter)

  Sets the class name of the type converter to be used.

  Parameters:
    `typeConverter` - The class name of the type converter.

### setRule

    public void setRule(java.lang.String rule)

  Sets the rule prefix for COLLECTION_PREFIX or MAP_PREFIX key. Defaults to en emtpy String.

  Parameters:
    `rule` -

### setType

    public void setType(java.lang.String type)

### getType

    public java.lang.String getType()

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### asProperty

    public java.lang.String asProperty()

  Returns the conversion description as property entry.

  Example:
  property.name = converter.className
  Collection_property.name = converter.className
  Map_property.name = converter.className KeyProperty_name = id

  Returns:
    the conversion description as property entry.

### getFullQualifiedClassName

    public java.lang.String getFullQualifiedClassName()

  Returns the fullQualifiedClassName attribute is used to create the special `conversion.properties` file name.

  Returns:
    fullQualifiedClassName

### setFullQualifiedClassName

    public void setFullQualifiedClassName(java.lang.String fullQualifiedClassName)

  The fullQualifiedClassName attribute is used to create the special `conversion.properties` file name.

  Parameters:
    `fullQualifiedClassName` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.